# Uses of Class
it.tdlight.jni.TdApi.TextParseMode

## Uses of TdApi.TextParseMode in it.tdlight.jni

Subclasses of TdApi.TextParseMode in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.TextParseModeHTML`
The text uses HTML-style formatting.
`static final class`
`TdApi.TextParseModeMarkdown`
The text uses Markdown-style formatting.
Fields in it.tdlight.jni declared as TdApi.TextParseMode
Modifier and Type
Field
Description
`TdApi.TextParseMode`
TdApi.ParseTextEntities.`parseMode`
Text parse mode.
Constructors in it.tdlight.jni with parameters of type TdApi.TextParseMode
Modifier
Constructor
Description
``
`ParseTextEntities(String text, TdApi.TextParseMode parseMode)`
Parses Bold, Italic, Underline, Strikethrough, Code, Pre, PreCode, TextUrl and MentionName entities contained in the text.